﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Http;
using System.Web.Mvc;
using System.Web.Routing;

namespace StudyCommerceTimerTask {
	// Note: For instructions on enabling IIS6 or IIS7 classic mode, 
	// visit http://go.microsoft.com/?LinkId=9394801
	public class MvcApplication : System.Web.HttpApplication {
		protected void Application_Start() {
			AreaRegistration.RegisterAllAreas();

			WebApiConfig.Register(GlobalConfiguration.Configuration);
			FilterConfig.RegisterGlobalFilters(GlobalFilters.Filters);
			RouteConfig.RegisterRoutes(RouteTable.Routes);
			//出事配置节点
			StudyCommerceTimerTask.TimerTask.NopConfig.Init();
			if (ConnectionIsSet())//如果数据库有链接配置
			{
				StudyCommerceTimerTask.TimerTask.TaskManager.Instance.Initialize(StudyCommerceTimerTask.TimerTask.NopConfig.ScheduleTasks);
				StudyCommerceTimerTask.TimerTask.TaskManager.Instance.Start();
			}
		}

		/// <summary>
		/// 判断是否节点是否有链接字符串
		/// </summary>
		/// <returns></returns>
		public  static  bool ConnectionIsSet()
		{
			return !string.IsNullOrEmpty(StudyCommerceTimerTask.TimerTask.NopConfig.ConnectionString);
		}
	}
}